# Method: customers.reports.countChromeHardwareFleetDevices

- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeHardwareFleetDevices#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeHardwareFleetDevices#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeHardwareFleetDevices#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeHardwareFleetDevices#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeHardwareFleetDevices#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeHardwareFleetDevices#body.CountChromeHardwareFleetDevicesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeHardwareFleetDevices#body.aspect)
- [DeviceHardwareCountReport](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeHardwareFleetDevices#DeviceHardwareCountReport)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeHardwareFleetDevices#DeviceHardwareCountReport.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeHardwareFleetDevices#try-it)

Counts of devices with a specific hardware specification from the requested hardware type (for example model name, processor type). Further information can be found here <https://support.google.com/chrome/a/answer/10564947>

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/reports:countChromeHardwareFleetDevices`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. The customer ID or "my_customer". |

### Query parameters

| Parameters ||
|---|---|
| `orgUnitId` | `string` Optional. The ID of the organizational unit. If omitted, all data will be returned. |
| `readMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Mask of the fields that should be populated in the returned report. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body must be empty.

### Response body

Response containing a list of devices with a specific type of hardware specification from the requested hardware type.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "modelReports": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeHardwareFleetDevices#DeviceHardwareCountReport`) } ], "cpuReports": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeHardwareFleetDevices#DeviceHardwareCountReport`) } ], "storageReports": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeHardwareFleetDevices#DeviceHardwareCountReport`) } ], "memoryReports": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeHardwareFleetDevices#DeviceHardwareCountReport`) } ] } ``` |

| Fields ||
|---|---|
| `modelReports[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeHardwareFleetDevices#DeviceHardwareCountReport`)`` The DeviceHardwareCountReport for device model type (for example Acer C7 Chromebook). |
| `cpuReports[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeHardwareFleetDevices#DeviceHardwareCountReport`)`` The DeviceHardwareCountReport for device cpu type (for example Intel(R) Core(TM) i7-10610U CPU @ 1.80GHz). |
| `storageReports[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeHardwareFleetDevices#DeviceHardwareCountReport`)`` The DeviceHardwareCountReport for device storage amount in gigabytes (for example 128). |
| `memoryReports[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeHardwareFleetDevices#DeviceHardwareCountReport`)`` The DeviceHardwareCountReport for device memory amount in gigabytes (for example 16). |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.reports.readonly`

## DeviceHardwareCountReport

Report for CountChromeDevicesPerHardwareSpecResponse, contains the count of devices with a unique hardware specification.

| JSON representation |
|---|
| ``` { "bucket": string, "count": string } ``` |

| Fields ||
|---|---|
| `bucket` | `string` Public name of the hardware specification. |
| `count` | `string (https://developers.google.com/discovery/v1/type-format format)` Count of devices with a unique hardware specification. |